<?php
?>
<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Z87 - Suma do A</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie Z87</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    <p>Napisz program, który dla podanej liczby całkowitej A obliczy sumę liczb od 1 do A włącznie.</p>
</div>
<div class="box">
    <form action="index.php" method="post">
        <fieldset>
            <label for="a">Podaj A:</label>
            <input type="number" name="a" id="a" required>
        </fieldset>
        <button type="submit">Wyślij</button>
    </form>
</div>
<?php
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $a = htmlspecialchars($_POST['a']);
    echo '<div class="box">';
    $suma = 0;
    for ($i = 1; $i <= $a; $i++) {
        echo $i;
        if ($i < $a) { echo ' + '; }
        $suma += $i;
    }
    echo ' = <b>' . $suma . '</b>';
    echo '</div>';
}
?>
</body>
</html>
